version: '3.5'

services:
  searchengine:
    hostname: searchengine
    image: registry.edoc2.com:5000/edoc2v5/searchengine:inbiz-v6.5.1.0
    labels:
      "type": "2"
    environment: 
     - ASPNETCORE_ENVIRONMENT=Production
#    - INSIGHT=1
#    - ECMURL=http://edoc2
#    - ESURL=http://es:9200
#    - INBIZURL=http://inbiz
    env_file:
      ./envfile.env
    networks: 
      - edoc2
    cap_add:
      - SYS_PTRACE
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
      placement:
        constraints:
          - node.labels.nodetype == InDrive
      endpoint_mode: dnsrr
#      resources:
#        limits:
#          cpus: '8'
    logging:
      driver: "json-file"
      options:
        max-size: "2000k"
        max-file: "10"
#    logging:
#      driver: syslog
#      options:
#        syslog-address: "udp://logserver:55514"
#        syslog-format: "rfc3164"
#        tag: "edoc2"

networks:
  edoc2:
    external: true
    name: macrowing
